## r-bioc-eir 1.34.0+ds

=== DESCRIPTION ===
Package: eiR
Type: Package
Title: Accelerated similarity searching of small molecules
Version: 1.34.0
Date: 2021-04-19
Author: Kevin Horan, Yiqun Cao and Tyler Backman
Maintainer: Thomas Girke <thomas.girke@ucr.edu>
Suggests: BiocStyle, knitcitations, knitr, knitrBootstrap,rmarkdown
Description: The eiR package provides utilities for accelerated
        structure similarity searching of very large small molecule
        data sets using an embedding and indexing approach.
License: Artistic-2.0
Depends: R (>= 2.10.0), ChemmineR (>= 2.15.15), methods, DBI
Imports: snow, tools, snowfall, RUnit, methods, ChemmineR, RCurl,
        digest, BiocGenerics, RcppAnnoy (>= 0.0.9)
biocViews: Cheminformatics, BiomedicalInformatics, Pharmacogenetics,
        Pharmacogenomics, MicrotitrePlateAssay, CellBasedAssays,
        Visualization, Infrastructure, DataImport, Clustering,
        Proteomics, Metabolomics
URL: https://github.com/girke-lab/eiR
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/eiR
git_branch: RELEASE_3_14
git_last_commit: 2f67dc0
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 21:20:43 UTC; biocbuild

=== debian/changelog ===
r-bioc-eir (1.34.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.34.0+ds

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 20:45:31 +0530

r-bioc-eir (1.32.0+ds-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix autopkgtests with i386

 -- Nilesh Patra <nilesh@debian.org>  Mon, 08 Nov 2021 20:20:13 +0530

r-bioc-eir (1.32.0+ds-2) unstable; urgency=medium

  * Team Upload.
  * Add test-dep on r-cran-rsqlite
  * d/salsa-ci.yml: Disable reprotest

 -- Nilesh Patra <nilesh@debian.org>  Sun, 07 Nov 2021 18:56:25 +0530

r-bioc-eir (1.32.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #995489)

 -- Steffen Moeller <moeller@debian.org>  Sat, 02 Oct 2021 02:26:06 +0200

=== debian/control ===
Source: r-bioc-eir
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-chemminer,
               r-cran-dbi,
               r-cran-snow,
               r-cran-snowfall,
               r-cran-runit,
               r-cran-rcurl,
               r-cran-digest,
               r-bioc-biocgenerics,
               r-cran-rcppannoy
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-eir
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-eir.git
Homepage: https://bioconductor.org/packages/eiR/
Rules-Requires-Root: no

Package: r-bioc-eir
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Accelerated similarity searching of small molecules
 The eiR package provides utilities for accelerated
 structure similarity searching of very large small molecule
 data sets using an embedding and indexing approach.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-rsqlite
Restrictions: allow-stderr

## r-bioc-eir 1.36.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: eiR
 Type: Package
 Title: Accelerated similarity searching of small molecules
-Version: 1.34.0
+Version: 1.36.0
 Date: 2021-04-19
 Author: Kevin Horan, Yiqun Cao and Tyler Backman
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
@@ -20,9 +20,9 @@
 URL: https://github.com/girke-lab/eiR
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/eiR
-git_branch: RELEASE_3_14
-git_last_commit: 2f67dc0
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 2e56da4
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:20:43 UTC; biocbuild
+Packaged: 2022-04-26 20:33:23 UTC; biocbuild

=== debian/changelog ===
r-bioc-eir (1.36.0+ds-3) unstable; urgency=medium

  * Team upload.
  * d/t/autopkgtest-pkg-r.conf: Do not run autodep8
    tests on i386 either

 -- Nilesh Patra <nilesh@debian.org>  Sun, 21 Aug 2022 11:29:27 +0530

r-bioc-eir (1.36.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Skip running tests on i386

 -- Nilesh Patra <nilesh@debian.org>  Sat, 20 Aug 2022 20:48:41 +0530

r-bioc-eir (1.36.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 12:06:22 +0200

## r-bioc-eir 1.38.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: eiR
 Type: Package
 Title: Accelerated similarity searching of small molecules
-Version: 1.36.0
+Version: 1.38.0
 Date: 2021-04-19
 Author: Kevin Horan, Yiqun Cao and Tyler Backman
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
@@ -20,9 +20,9 @@
 URL: https://github.com/girke-lab/eiR
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/eiR
-git_branch: RELEASE_3_15
-git_last_commit: 2e56da4
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 96ba2db
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 20:33:23 UTC; biocbuild
+Packaged: 2022-11-01 21:26:08 UTC; biocbuild

=== debian/changelog ===
r-bioc-eir (1.38.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 16:34:14 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                r-cran-digest,
                r-bioc-biocgenerics,
                r-cran-rcppannoy
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-eir
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-eir.git
 Homepage: https://bioconductor.org/packages/eiR/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-rsqlite
Restrictions: allow-stderr
Architecture: !i386

## r-bioc-eir 1.40.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Package: eiR
 Type: Package
 Title: Accelerated similarity searching of small molecules
-Version: 1.38.0
-Date: 2021-04-19
+Version: 1.40.0
+Date: 2023-04-14
 Author: Kevin Horan, Yiqun Cao and Tyler Backman
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
-Suggests: BiocStyle, knitcitations, knitr, knitrBootstrap,rmarkdown
+Suggests: BiocStyle, knitcitations, knitr,
+        knitrBootstrap,rmarkdown,RSQLite
 Description: The eiR package provides utilities for accelerated
         structure similarity searching of very large small molecule
         data sets using an embedding and indexing approach.
@@ -20,9 +21,9 @@
 URL: https://github.com/girke-lab/eiR
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/eiR
-git_branch: RELEASE_3_16
-git_last_commit: 96ba2db
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: cfdb248
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 21:26:08 UTC; biocbuild
+Packaged: 2023-04-25 20:58:41 UTC; biocbuild

=== debian/changelog ===
r-bioc-eir (1.40.0+ds-2) unstable; urgency=medium

  * Team upload
  * Take over architecture restriction from debien/tests/control to
    debian/tests/utopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 06:35:01 +0200

r-bioc-eir (1.40.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 22:27:19 +0200

## r-bioc-eir 1.42.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: eiR
 Type: Package
 Title: Accelerated similarity searching of small molecules
-Version: 1.40.0
+Version: 1.42.0
 Date: 2023-04-14
 Author: Kevin Horan, Yiqun Cao and Tyler Backman
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
@@ -21,9 +21,9 @@
 URL: https://github.com/girke-lab/eiR
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/eiR
-git_branch: RELEASE_3_17
-git_last_commit: cfdb248
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: b7149c1
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-04-25 20:58:41 UTC; biocbuild
+Packaged: 2023-10-24 21:04:50 UTC; biocbuild

=== debian/changelog ===
r-bioc-eir (1.42.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 08:10:06 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                r-cran-digest,
                r-bioc-biocgenerics,
                r-cran-rcppannoy
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-eir
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-eir.git
 Homepage: https://bioconductor.org/packages/eiR/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	rm -f inst/doc/eiR.html vignettes/header.html

## r-bioc-eir 1.44.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: eiR
 Type: Package
 Title: Accelerated similarity searching of small molecules
-Version: 1.42.0
+Version: 1.44.0
 Date: 2023-04-14
 Author: Kevin Horan, Yiqun Cao and Tyler Backman
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
@@ -21,9 +21,10 @@
 URL: https://github.com/girke-lab/eiR
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/eiR
-git_branch: RELEASE_3_18
-git_last_commit: b7149c1
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: f29df21
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 21:04:50 UTC; biocbuild
+Packaged: 2024-05-01 03:36:08 UTC; biocbuild

=== debian/changelog ===
r-bioc-eir (1.44.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:26:32 +0200

r-bioc-eir (1.44.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 15:25:35 +0200

r-bioc-eir (1.44.0+ds-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Drop support for 32-bit architectures, following upstream's decision
    Closes: #1074528
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Jul 2024 11:16:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-chemminer,
+               r-bioc-chemminer (>= 3.56.0),
                r-cran-dbi,
                r-cran-snow,
                r-cran-snowfall,
                r-cran-runit,
                r-cran-rcurl,
                r-cran-digest,
-               r-bioc-biocgenerics,
-               r-cran-rcppannoy
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-cran-rcppannoy,
+               architecture-is-64-bit
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-eir
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-eir.git
@@ -26,9 +27,12 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-chemminer (>= 3.56.0),
+         r-bioc-biocgenerics (>= 0.50.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1)
 Description: Accelerated similarity searching of small molecules
  The eiR package provides utilities for accelerated
  structure similarity searching of very large small molecule

## r-bioc-eir 1.46.0%2Bds

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/eiR.html .*/eiR_(.*).tar.gz

## r-bioc-eir 1.46.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: eiR
 Type: Package
 Title: Accelerated similarity searching of small molecules
-Version: 1.44.0
+Version: 1.46.0
 Date: 2023-04-14
 Author: Kevin Horan, Yiqun Cao and Tyler Backman
 Maintainer: Thomas Girke <thomas.girke@ucr.edu>
@@ -21,10 +21,10 @@
 URL: https://github.com/girke-lab/eiR
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/eiR
-git_branch: RELEASE_3_19
-git_last_commit: f29df21
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 2983267
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 03:36:08 UTC; biocbuild
+Packaged: 2024-10-30 00:31:32 UTC; biocbuild

=== debian/changelog ===
r-bioc-eir (1.46.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:33:30 +0100

r-bioc-eir (1.46.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 14:09:45 +0100

=== debian/control ===
Source: r-bioc-eir
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-chemminer,
               r-cran-dbi,
               r-cran-snow,
               r-cran-snowfall,
               r-cran-runit,
               r-cran-rcurl,
               r-cran-digest,
               r-bioc-biocgenerics,
               r-cran-rcppannoy,
               architecture-is-64-bit
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-eir
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-eir.git
Homepage: https://bioconductor.org/packages/eiR/
Rules-Requires-Root: no

Package: r-bioc-eir
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Accelerated similarity searching of small molecules
 The eiR package provides utilities for accelerated
 structure similarity searching of very large small molecule
 data sets using an embedding and indexing approach.
